Skip to main content
`Ctrl`+`K`

# DMRemoveLabelBySelf

Remove the label from this `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMRemoveLabelBySelf(DM dm, DMLabel *label, PetscBool failNotFound)

Not Collective

## Input Parameters

- dm - The `DM` object

- label - The `DMLabel` to be removed from the `DM`

- failNotFound - Should it fail if the label is not found in the `DM`?

## Note

Only exactly the same instance is removed if found, name match is ignored. If the `DM` has an exclusive reference to the label, the label gets destroyed and *label nullified.

## See Also

DM Basics, `DM`, `DMLabel`, `DMCreateLabel()`, `DMHasLabel()`, `DMGetLabel()` `DMGetLabelValue()`, `DMSetLabelValue()`, `DMLabelDestroy()`, `DMRemoveLabel()`

## Level

developer

## Location

src/dm/interface/dm.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages